Module | Haml::Filters::Preserve
In: | lib/haml/filters.rb

Inserts the filtered text into the template with whitespace preserved. `preserve`d blocks of text aren‘t indented, and newlines are replaced with the HTML escape code for newlines, to preserve nice-looking output.

@see Haml::Helpers#preserve

### Methods

render

### Included Modules

Base

### Public Instance methods

render(text)

@see Base#render

[Source]

         # File lib/haml/filters.rb, line 290
    290:       def render(text)
    291:         Haml::Helpers.preserve text
    292:       end

[Validate]